
:root{
    --main-color:rgb(114, 21, 227);
}




body{
    background-color: rgb(241, 242, 243);
    margin: 0;
    font-family: "Arimo", sans-serif;    
}

a{
    text-decoration: none;
}

#nav-user{
    display: flex;
    justify-content: left;
    align-items: center;
    background: linear-gradient(to right, rgb(152, 77, 243), rgb(84, 5, 182)) ;
    padding: 10px 5%;
    position: fixed;
    top: 0;
    left: 0;
    width: 90%;
    box-shadow: 2px 2px 10px lightgray;
    color: white;
    z-index: 100;
}
#burgers {
    width: 30px;
    padding: 0px 5px;
    border: 1px solid rgb(255, 255, 255);
    border-radius: 5px;
    cursor: pointer;
    margin-right: 20px;
}
#burgers div{
    padding: 2px;
    border-radius: 5px;
    background-color: rgb(255, 255, 255);
    margin: 5px 0px;
}

.content-user{
    margin-left: 260px;
    background-color: white;
    margin-top: 100px;
    box-shadow: 2px 2px 5px lightgray;
    padding: 15px;
    border-radius: 5px;
    margin-right: 10px;
}
#vertnav-user{
    background-color: white;
    position: fixed;
    left: 0;
    top: 80px;
    width: 220px;
    height: 100%;
    padding: 5px 10px;
}
#vertnav-user a{
    display: block;
    padding: 10px;
    margin: 10px 0px;
    /* color: var(--main-color); */
    color: rgb(37, 37, 37);
}

.current-a{
    background-color: rgb(251, 237, 255);
    border-radius: 5px !important;
}
.disp-r{
    text-align: left;
    margin: 10px 0px 20px;
}
.disp-r span{
    font-size: 14px;
    padding: 6px 12px;
    border-radius: 50px;

}
.pending{
    background-color: rgb(237, 237, 237);
    color: rgb(68, 68, 68);
}
.success{
    padding: 25px 0px;
    /* border: 1px solid green; */
    text-align: center;
    margin: 20px 0px;
    box-shadow: 15px 15px 30px lightgray;
    display: none;
    width: 100%;
    border-radius: 5px;
    background-color: rgb(227, 245, 227);
    color: rgb(1, 86, 1);
    border: 3px solid rgba(1, 130, 1, 0.6);

}
.success a{
    color: #333;
    text-decoration: underline;
}
.success_u{
    text-align: center;
    padding: 20px;
    color: green;
    display: none;
    margin-top: 20px;
}
.verified{
    background-color: rgb(215, 246, 215);
    color: rgb(1, 49, 1);
    /* border: 1px solid rgb(0, 57, 0); */
}
.info_{
    background-color: rgb(220, 241, 248);
    color: rgb(1, 20, 50);
    padding: 10px;
    border: 1px solid rgb(115, 171, 226);
    border-radius: 5px;
    
}
.info_ i{
    font-size: 22px;
}


#parcours {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    max-width: 600px;
    flex-wrap: wrap;
    margin: 20px auto;
}
#parcours .ligne{
    padding: 3px ;
    width: 20px;
    background-color: #3a0091;
    z-index: 5;
    border-radius: 3px;
}
#parcours ._step{
    width: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 10px 0px;
    z-index: 10;
    height: 50px;
    border: 2px solid rgb(75, 16, 175);
    border-radius: 50px;    
}

._step.selected{
    background-color: rgb(114, 21, 227);
    color: white;
    border: 2px solid white;
}
#parcours div i {
    font-size: 30px;
    color: rgb(75, 16, 175) ;
}
._step.selected i{
    color: white !important;
}
/* partie consultation */
/* partie consultation */
/* partie consultation */
/* partie consultation */
/* partie consultation */
.consultation-form textarea{
    width: 100%;
    padding: 10px;
    border: 1px solid lightgray;
    border-radius: 4px;
    box-sizing: border-box;
    height: 200px;
}

.consultation-form {
    /* max-width: 900px; */
    margin: 30px auto;
    /* padding: 25px; */
    border-radius: 12px;
    /* box-shadow: 0 4px 15px rgba(0,0,0,0.08); */
    font-family: "Poppins", sans-serif;

}
.consultation-form .form-flex{
    
    display: flex;
    flex-wrap: wrap; 
    gap: 20px;
}
.consultation-form .flex{
    display: flex;
    justify-content: left;
}
.consultation-form .form-group {
    width: 48%;
    display: inline-block;
}
.notes-form {
    padding: 10px;
    margin: 60px 0px 30px;
    border: 1px solid lightgray;
    border-radius: 10px;
}
.notes-form label{
    padding: 15px;
    margin-top: -35px;
    background-color: white;
    width: fit-content;
}
.notes-form input{
    width: 200px ;
    display: inline-block;
    margin: 0px 10px 0px 0px;

    padding: 12px;
    border: 1px solid #dcdcdc;
    border-radius: 8px;
    font-size: 15px;
    transition: 0.2s ease;
    box-sizing: border-box;
    color: #333;
}
.errLangue{
    color: red;
    margin: 15px 0px;
    display: none;
}
#languages_zone{
    display: flex;
    justify-content: left;
    align-items: center;
    flex-wrap: wrap;
    padding-bottom: 20px;
}
.langadded{
    display: flex;
    max-width: 300px;
    min-width: 230px;
    padding: 10px;
    background-color: rgb(241, 241, 241);
    margin: 20px 15px 0px 0px;
    align-items: center;
    position: relative;
    border-radius: 5px;
    box-shadow: 2px 3px 5px lightgray;
    border-left: 3px solid lightgray;
    gap: 20px;
}
.nolang{
    color: gray;
    margin: 20px 0px;
    font-size: 14px;
    font-style: italic;

}
.langadded .delete-lang{
    position: absolute;
    right: -7px;
    top: -7px;
    font-size: 30px;
    background-color: white;
    border-radius: 50px;
    cursor: pointer;
    color: red;
}
.notes-form button{
    background-color: rgb(0, 53, 102);
    color: white;
    padding: 10px 15px;
    font-weight: bold;
    border-radius: 5px;
    box-shadow: 3px 5px 10px lightgray;
    transition: 0.3s;
    border: none;
    margin: 5px;
}
.notes-form button:hover {
    cursor: pointer;
    background-color: rgb(3, 72, 137);
    transition: 0.3s;
}

.consultation-form .form-group.half {
    width: calc(50% - 10px); /* moitié de la page */
}

.consultation-form label {
    display: block;
    font-weight: 600;
    margin-bottom: 6px;
    color: #333;
}

.consultation-form .form-flex input[type="text"],
.consultation-form input[type="number"],
.consultation-form input[type="date"],
.consultation-form select,
.consultation-form input[type="file"] {
    width: 100%;
    padding: 12px;
    border: 1px solid #dcdcdc;
    border-radius: 8px;
    font-size: 15px;
    transition: 0.2s ease;
    box-sizing: border-box;
    color: #333;
}

.consultation-form input:focus {
    border-color: #6600ff;
    box-shadow: 0 0 5px rgba(89, 0, 255, 0.25);
    outline: none;
}

.consultation-form .btn {
    /* width: fit-content; */
    width: 30%;
    min-width: 200px;
    display: block;
    margin: 10px auto;
    padding: 12px;
    background: linear-gradient(to right, #8d46f8, #4600b0);
    color: #fff;
    font-weight: 600;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    font-size: 16px;
    transition: 0.2s ease-in-out;
    box-shadow: 3px 5px 15px lightgray;
}

.consultation-form .btn:hover {
    /* background: #5c00cc; */
    background: linear-gradient(to right, #a467ff, #3a0091);
    transition: 0.3s;

}


#parcours_orientation{
    margin-top: 20px;
}
.banner-orientation{
    height: 200px;
    background-position: center;
    background-size: cover;
    border-radius: 10px;
    width: 100%;
    display: flex;
    justify-content: left;
    align-items: flex-end;
    padding: 20px;
    box-sizing: border-box;
}

.banner-orientation h2{
    color: white;
}

.delete-parcours{
    padding: 10px;
    color: white;
    background-color: red;
    cursor: pointer;
    margin: 20px 0px;
    box-shadow: 3px 3px 3px lightgray;
    border-radius: 3px;
    border: none;
}
#answer{
    display: none;
    /* padding: 10px; */
    /* border: 2px solid lightgray; */
    /* padding-left: 20px; */
    border-radius: 10px;
    /* background-color: rgb(249, 249, 249); */
}
#answer .rapport{
    margin-top: 20px;
}
#answer section{
    background-color: rgb(245, 245, 245);
    /* box-shadow: 2px 2px 3px rgb(173, 173, 173); */
    border: 1px solid lightgray;
    padding: 15px;
    /* background-color: white; */
    border-radius: 5px;
    min-height: 100px;
    box-sizing: border-box;
    
    margin: 0px auto;
    /* width: fit-content; */
}
#answer div h2{
    background-color: #333;
    color: white;
    padding: 5px;
    margin: 10px 0px 0px 0px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    width: fit-content;
    font-size: 16px;
}
#answer div{
    margin: 50px 0px;
}
#tlinks {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    margin: 20px 0px 40px;
    border-bottom: 5px solid #3a0091;
}
#tlinks a {
    display: block;
    padding: 15px;
    color: white;
    background-color: #3a0091;
    margin: 0px 5px 0px 0px;
    width: 45%;
    font-size: 22px;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
    font-weight: bold;
}
#tlinks a.tdisabled{
    background-color: rgb(229, 229, 229) !important;
    color: gray !important;
}

.no-answer{
    text-align: center;
    padding: 50px 10px;
    font-size: 30px;
    color: gray;
    display: none;
}
.no-answer i{
    font-size: 50px;
    border: 5px solid gray;
    padding: 20px;
    border-radius: 50px;
    background-color: rgb(231, 231, 231);
}
.no-answer h3{
    margin-top: 50px;
}

#form_inscription{
    display: none;
    margin-top: 60px;
}


#form_inscription .champs  .til{
    /* padding: 10px; */
    font-size: 20px;
    font-weight: bold;
    color: #3a0091;
    margin: 10px 0px;
}
#form_inscription .champs input{
    display: none;
}
#form_inscription .champs {
    padding: 10px;
    /* display: none; */
    border: 1px solid lightgray;
    border-radius: 5px;
    width: 45%;
    min-width: 260px;
    display: inline-block;
    margin: 15px 10px 0px 0px;
    position: relative;
    z-index:10;
}
#form_inscription .champs p{
    font-size: 14px;
    color: rgb(71, 71, 71);
    margin: 5px 0px;
}
#form_inscription .champs label{
    display: flex;
    justify-content: right;
    align-items: center;
}
#form_inscription .champs label i{
    padding: 5px 8px;
    background-color: rgb(114, 21, 227);
    color: white;
    border-radius: 4px;
    margin-left: 10px;
    cursor: pointer;
    display: block;
    width: fit-content;
}
#form_inscription .champs label i span{
    font-size: 12px;
    margin-left: 10px;
    font-family: sans-serif;
}

#form_inscription .champs label p{
    color: gray;
}

.control-champs {
    display: none;
}
.control-champs > div{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 5px 0px;
}
.flex-champs{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}
.control-champs .mn-spinner{
    display: block !important;
    margin: 0px !important;
}
.control-champs a{
    color: rgb(0, 119, 255);
}
.control-champs a i{
    font-size: 14px;
    color:rgb(0, 119, 255) ;
    background-color: transparent;
}
.control-champs .fa-xmark{
    background-color: rgb(153, 0, 0);
    color: white;
    padding: 5px;
    border-radius: 4px;
    transition: 0.3s;
    font-size: 16px;
    cursor: pointer;
}
.control-champs .fa-xmark:hover{
    transition: 0.3s;
    background-color: rgb(213, 0, 0);
}

.anim-inscription{
    position: absolute;
    bottom: 10px;
    right: 10px;
    display: none;
}
.champs .msg{
    font-size: 14px;
    font-style: italic;
    color: rgb(70, 70, 70);
}

#progress{
    border: 1px solid rgb(0, 164, 19);
    padding: 2px;
    height: 10px;
    width: 100%;
    margin-top: 20px;
    border-radius: 50px;
}
#progress > div{
    background-color: rgb(0, 164, 19);
    width: 0%;
    height: 100%;
    border-radius: 50px;
    position: relative;
}
#progress .note{
    position: absolute;
    bottom: -20px;
    right: -10px;
    color: rgb(0, 164, 19);
    font-weight: bold;
    font-size: 12px;
}

#date_depart, #date_fin{
    display: inline-block;
    width: 100%;
    box-sizing: border-box;
    padding: 10px;
    border: 1px solid lightgray;
    border-radius: 5px;
}
#dateplane button{
    border: none;
    background-color: #4600b0;
    color: white;
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;
    opacity: 0.5;
}
#dateplane .champ {
    width: 40%;
    margin: 10px 10px 0px 0px;
    display: inline-block;
}

#dateplane .champ label{
    margin-bottom: 10px;
    display: block;
}
.interval_err{
    text-align: center;
    padding: 10px;
    margin: 10px 0px;
    color: rgb(255, 94, 0);
    display: none;
}
.err_date{
    color: red;
    padding: 10px;
    margin: 10px;
    text-align: center;
}
#interval_result{
    padding: 10px;
    margin: 20px 0px;
    background-color: rgb(226, 242, 247);
    border-top: 3px solid lightblue;
    display: none;
    border-radius: 10px;
}
#interval_result ul li{
    margin-top: 10px;
    font-weight: bold;
}
#upload_doc_form section {
    text-align: center;
    margin: 30px auto 30px;
}
#upload_doc_form section > i{
    font-size: 60px;
    display: block;
    margin: 20px auto 40px;
    color: #3a0091;
    text-shadow: 3px 3px 5px lightgray;
}
#upload_doc_form section #name_file{
    max-width: 300px ;
    min-width: 200px;
    padding: 10px;
    font-size: 20px;
    border: none;
    border-bottom: 1px solid lightgray;
}
#upload_doc_form section label{
    padding: 10px;
    color: white;
    background-color: rgb(0, 53, 102);
    margin-left: 20px;
    opacity: 0.5;
    border-radius: 5px;
}

#docs_area{
    display: flex;
    justify-content: left;
    flex-wrap: wrap;
    align-items: flex-start;
}
.doc{
    
    max-width: 300px;
    background-color: rgb(239, 239, 239);
    padding: 10px;
    box-shadow: 2px 3px 5px lightgray;
    border-radius: 5px;
    margin: 10px 10px 0px 0px;
}
.doc .fa-download{
    font-size: 18px;
}
.doc .fa-xmark{
   
    background-color: red;
    color: white;
    border-radius: 5px;
    padding: 6px 4px;
    margin-left: 20px;
    font-size: 14px;
    cursor: pointer;
}

#passeport-preinfo{
    border: 1px solid lightgray;
    border-radius: 10px;
    margin: 50px 0px;
}
#passeport-preinfo .pass-label{
    font-size: 18px;
    background-color: white;
    margin-top: -45px;
    width: fit-content;
    padding: 15px;
}
#passeport-preinfo select{
    width: 150px;
    display: block;
}

#passeport-preinfo > div{
    display: block !important;
    margin: 20px 10px;
}